| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Data Structures | Public Member Functions | Protected Member Functions | Protected Attributes
LT_FaultLog Class Referenceabstract

## Detailed Description

Definition at line 62 of file LT_FaultLog.h.

Inheritance diagram for LT_FaultLog:

## Data Structures
struct | FaultLogTimeStamp
struct | Lin16Word
struct | Lin16WordReverse
struct | Lin5_11Word
struct | Lin5_11WordReverse
struct | RawByte
struct | RawWord
struct | RawWordReverse

## Public Member Functions
| LT_FaultLog (LT_PMBus *pmbus)
virtual | ~LT_FaultLog ()
bool | hasFaultLog (uint8_t address)
void | enableFaultLog (uint8_t address)
void | disableFaultLog (uint8_t address)
void | clearFaultLog (uint8_t address)
virtual void | read (uint8_t address)=0
virtual void | print (Print *printer)=0
virtual uint8_t * | getBinary ()=0
virtual uint16_t | getBinarySize ()=0
virtual void | dumpBinary (Print *printer=0)=0
virtual void | release ()=0
void | dumpBin (Print *printer, uint8_t *log, uint8_t size)
uint64_t | getSharedTime200us (FaultLogTimeStamp time_stamp)
float | getTimeInMs (FaultLogTimeStamp time_stamp)
uint8_t | getRawByteVal (RawByte value)
uint16_t | getRawWordVal (RawWord value)
uint16_t | getRawWordReverseVal (RawWordReverse value)
uint16_t | getLin5_11WordVal (Lin5_11Word value)
uint16_t | getLin5_11WordReverseVal (Lin5_11WordReverse value)
uint16_t | getLin16WordVal (Lin16Word value)
uint16_t | getLin16WordReverseVal (Lin16WordReverse value)
virtual void | getNvmBlock (uint8_t address, uint16_t offset, uint16_t numWords, uint8_t command, uint8_t *data)=0

## Protected Member Functions
uint8_t | readMfrStatusByte (uint8_t address)
uint8_t | readMfrFaultLogStatusByte (uint8_t address)

## Protected Attributes
LT_PMBus * | pmbus_

## Member Function Documentation

## ◆ clearFaultLog()

void LT_FaultLog::clearFaultLog | ( | uint8_t | address | ) |

Definition at line 240 of file LT_FaultLog.cpp.

## ◆ disableFaultLog()

void LT_FaultLog::disableFaultLog | ( | uint8_t | address | ) |

Definition at line 182 of file LT_FaultLog.cpp.

## ◆ dumpBin()

void LT_FaultLog::dumpBin | ( | Print * | printer,
|  | uint8_t * | log,
|  | uint8_t | size
| ) |  |

Definition at line 217 of file LT_FaultLog.cpp.

## ◆ dumpBinary()

virtual void LT_FaultLog::dumpBinary | ( | Print * | printer = `0` | ) |
| pure virtual

Implemented in LT_2975FaultLog, LT_2974FaultLog, LT_2977FaultLog, LT_2978FaultLog, LT_3880FaultLog, LT_3882FaultLog, LT_3883FaultLog, and LT_3887FaultLog.

## ◆ enableFaultLog()

void LT_FaultLog::enableFaultLog | ( | uint8_t | address | ) |

Definition at line 141 of file LT_FaultLog.cpp.

## ◆ getBinary()

virtual uint8_t* LT_FaultLog::getBinary | ( |  | ) |
| pure virtual

Implemented in LT_2975FaultLog, LT_2974FaultLog, LT_2977FaultLog, LT_2978FaultLog, LT_3880FaultLog, LT_3882FaultLog, LT_3883FaultLog, and LT_3887FaultLog.

## ◆ getBinarySize()

virtual uint16_t LT_FaultLog::getBinarySize | ( |  | ) |
| pure virtual

Implemented in LT_2975FaultLog, LT_2974FaultLog, LT_2977FaultLog, LT_2978FaultLog, LT_3880FaultLog, LT_3882FaultLog, LT_3883FaultLog, and LT_3887FaultLog.

## ◆ getLin16WordReverseVal()

uint16_t LT_FaultLog::getLin16WordReverseVal | ( | Lin16WordReverse | value | ) |

Definition at line 303 of file LT_FaultLog.cpp.

## ◆ getLin16WordVal()

uint16_t LT_FaultLog::getLin16WordVal | ( | Lin16Word | value | ) |

Definition at line 297 of file LT_FaultLog.cpp.

## ◆ getLin5_11WordReverseVal()

uint16_t LT_FaultLog::getLin5_11WordReverseVal | ( | Lin5_11WordReverse | value | ) |

Definition at line 291 of file LT_FaultLog.cpp.

## ◆ getLin5_11WordVal()

uint16_t LT_FaultLog::getLin5_11WordVal | ( | Lin5_11Word | value | ) |

Definition at line 285 of file LT_FaultLog.cpp.

## ◆ getNvmBlock()

virtual void LT_FaultLog::getNvmBlock | ( | uint8_t | address,
|  | uint16_t | offset,
|  | uint16_t | numWords,
|  | uint8_t | command,
|  | uint8_t * | data
| ) |  |
| pure virtual

Implemented in LT_CommandPlusFaultLog, and LT_EEDataFaultLog.

## ◆ getRawByteVal()

uint8_t LT_FaultLog::getRawByteVal | ( | RawByte | value | ) |

Definition at line 267 of file LT_FaultLog.cpp.

## ◆ getRawWordReverseVal()

uint16_t LT_FaultLog::getRawWordReverseVal | ( | RawWordReverse | value | ) |

Definition at line 279 of file LT_FaultLog.cpp.

## ◆ getRawWordVal()

uint16_t LT_FaultLog::getRawWordVal | ( | RawWord | value | ) |

Definition at line 273 of file LT_FaultLog.cpp.

## ◆ getSharedTime200us()

uint64_t LT_FaultLog::getSharedTime200us | ( | FaultLogTimeStamp | time_stamp | ) |

Definition at line 247 of file LT_FaultLog.cpp.

## ◆ getTimeInMs()

float LT_FaultLog::getTimeInMs | ( | FaultLogTimeStamp | time_stamp | ) |

Definition at line 260 of file LT_FaultLog.cpp.

## ◆ hasFaultLog()

bool LT_FaultLog::hasFaultLog | ( | uint8_t | address | ) |

Definition at line 101 of file LT_FaultLog.cpp.

## ◆ print()

virtual void LT_FaultLog::print | ( | Print * | printer | ) |
| pure virtual

Implemented in LT_2975FaultLog, LT_2974FaultLog, LT_2977FaultLog, LT_2978FaultLog, LT_3880FaultLog, LT_3882FaultLog, LT_3883FaultLog, and LT_3887FaultLog.

## ◆ read()

virtual void LT_FaultLog::read | ( | uint8_t | address | ) |
| pure virtual

Implemented in LT_2975FaultLog, LT_2974FaultLog, LT_2977FaultLog, LT_2978FaultLog, LT_3880FaultLog, LT_3882FaultLog, LT_3883FaultLog, and LT_3887FaultLog.

## ◆ readMfrFaultLogStatusByte()

uint8_t LT_FaultLog::readMfrFaultLogStatusByte | ( | uint8_t | address | ) |
| protected

Definition at line 86 of file LT_FaultLog.cpp.

## ◆ readMfrStatusByte()

uint8_t LT_FaultLog::readMfrStatusByte | ( | uint8_t | address | ) |
| protected

Definition at line 72 of file LT_FaultLog.cpp.

## ◆ release()

virtual void LT_FaultLog::release | ( |  | ) |
| pure virtual

Implemented in LT_2975FaultLog, LT_2974FaultLog, LT_2977FaultLog, LT_2978FaultLog, LT_3880FaultLog, LT_3882FaultLog, LT_3883FaultLog, and LT_3887FaultLog.

## Constructor & Destructor Documentation

## ◆ LT_FaultLog()

LT_FaultLog::LT_FaultLog | ( | LT_PMBus * | pmbus | ) |

Definition at line 61 of file LT_FaultLog.cpp.

## ◆ ~LT_FaultLog()

virtual LT_FaultLog::~LT_FaultLog | ( |  | ) |
| virtual

Definition at line 134 of file LT_FaultLog.h.

## Field Documentation

## ◆ pmbus_

LT_PMBus* LT_FaultLog::pmbus_
| protected

Definition at line 129 of file LT_FaultLog.h.

The documentation for this class was generated from the following files:

- LT_FaultLog.h
- LT_FaultLog.cpp